Package org.apache.cxf.attachment

# Class HeaderSizeExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cxf.attachment.HeaderSizeExceededException

All Implemented Interfaces:
  `Serializable`

public class HeaderSizeExceededException extends RuntimeException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderSizeExceededException()`
  `HeaderSizeExceededException(String message)`
  `HeaderSizeExceededException(String message, Throwable cause)`
  `HeaderSizeExceededException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeaderSizeExceededException

    public HeaderSizeExceededException()

  - ### HeaderSizeExceededException

    public HeaderSizeExceededException(String message)

  - ### HeaderSizeExceededException

    public HeaderSizeExceededException(String message, Throwable cause)

  - ### HeaderSizeExceededException

    public HeaderSizeExceededException(Throwable cause)